summaryrefslogtreecommitdiff
path: root/usr.sbin
diff options
context:
space:
mode:
authorAntoine Jacoutot <ajacoutot@cvs.openbsd.org>2014-08-24 07:46:55 +0000
committerAntoine Jacoutot <ajacoutot@cvs.openbsd.org>2014-08-24 07:46:55 +0000
commit7465959d98b67972e76155119ca990356313b1f5 (patch)
treeb9bf9f776c347d054087781ec9c0b5c0dc8a14da /usr.sbin
parent7f0dc7daee3f75592afc07110bd803cf40e83bef (diff)
Since rcctl(8) can changes the position of such and such variable, sort
the file so that we always have a consistent output. ok schwarze@ jasper@
Diffstat (limited to 'usr.sbin')
-rw-r--r--usr.sbin/rcctl/rcctl.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/usr.sbin/rcctl/rcctl.sh b/usr.sbin/rcctl/rcctl.sh
index fe4e0217b21..82637810ae0 100644
--- a/usr.sbin/rcctl/rcctl.sh
+++ b/usr.sbin/rcctl/rcctl.sh
@@ -1,6 +1,6 @@
#!/bin/sh
#
-# $OpenBSD: rcctl.sh,v 1.12 2014/08/24 07:33:26 ajacoutot Exp $
+# $OpenBSD: rcctl.sh,v 1.13 2014/08/24 07:46:54 ajacoutot Exp $
#
# Copyright (c) 2014 Antoine Jacoutot <ajacoutot@openbsd.org>
#
@@ -45,6 +45,7 @@ rcconf_edit_begin()
rcconf_edit_end()
{
+ sort -u -o ${_TMP_RCCONF} ${_TMP_RCCONF} || exit 1
mv ${_TMP_RCCONF} /etc/rc.conf.local || exit 1
if [ ! -s /etc/rc.conf.local ]; then
rm /etc/rc.conf.local || exit 1